If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent test_bug484459.xul | uncaught exception - ReferenceError: x is not defined at chrome://mochitests/content/chrome/js/xpconnect/tests/chrome/test_bug484459.xul:32

NEW
Unassigned

Status

()

Core
XPConnect
P5
normal
2 years ago
2 months ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure, leave-open})

Trunk
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox48 wontfix, firefox49 affected, firefox50 unaffected)

Details

(Whiteboard: [stockwell disabled])

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=23404965&repo=mozilla-inbound
https://treeherder.mozilla.org/logviewer.html#?job_id=23410285&repo=mozilla-inbound

Comment 1

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 2
* try: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-03-07&endday=2016-03-13&tree=all

Comment 2

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 3

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 5
* mozilla-inbound: 4

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-03-21&endday=2016-03-27&tree=all

Comment 4

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-03-28&endday=2016-04-03&tree=all

Comment 5

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* try: 1
* fx-team: 1

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-04-04&endday=2016-04-10&tree=all

Comment 6

a year ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 7

a year ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 9
* mozilla-inbound: 7
* mozilla-central: 2

Platform breakdown:
* linux64: 17
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-04-18&endday=2016-04-24&tree=all

Comment 8

a year ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 3
* try: 2

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-04-25&endday=2016-05-01&tree=all

Comment 9

a year ago
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 19
* fx-team: 6
* try: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 29

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-05-10&endday=2016-05-16&tree=all
32 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 22
* fx-team: 5
* try: 3
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 32

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-05-16&endday=2016-05-22&tree=all
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 4
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-05-24&endday=2016-05-24&tree=all
53 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* fx-team: 12
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 53

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-05-23&endday=2016-05-29&tree=all
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 3
* mozilla-aurora: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-01&endday=2016-06-01&tree=all
49 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 41
* fx-team: 6
* mozilla-aurora: 2

Platform breakdown:
* linux64: 49

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-05-30&endday=2016-06-05&tree=all
58 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* try: 10
* fx-team: 6
* mozilla-beta: 2
* mozilla-aurora: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 52
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-06&endday=2016-06-12&tree=all
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* fx-team: 4
* mozilla-central: 2

Platform breakdown:
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-13&endday=2016-06-19&tree=all
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 23
* fx-team: 4

Platform breakdown:
* linux64: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-20&endday=2016-06-26&tree=all
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* autoland: 3
* mozilla-central: 2

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-29&endday=2016-06-29&tree=all
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 5
* try: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-30&endday=2016-06-30&tree=all
83 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 50
* fx-team: 13
* autoland: 10
* mozilla-central: 6
* try: 2
* mozilla-aurora: 2

Platform breakdown:
* linux64: 83

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-06-27&endday=2016-07-03&tree=all
55 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* fx-team: 12
* autoland: 10
* try: 4
* mozilla-central: 4
* mozilla-aurora: 4

Platform breakdown:
* linux64: 55

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-07-04&endday=2016-07-10&tree=all
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 2
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-07-11&endday=2016-07-17&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 3
* mozilla-aurora: 3

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2016-07-18&endday=2016-07-24&tree=all
status-firefox48: affected → wontfix
status-firefox49: --- → affected
status-firefox50: --- → unaffected

Comment 24

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 25

3 months ago
13 failures in 864 pushes (0.015 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 5

Platform breakdown:
* linux32: 9
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-05&endday=2017-06-11&tree=all

Comment 26

3 months ago
19 failures in 147 pushes (0.129 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 15
* mozilla-inbound: 4

Platform breakdown:
* linux64: 11
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-16&endday=2017-06-16&tree=all
31 failures in the last week- maybe 1 day of high volume, will keep an eye on this.
Whiteboard: [stockwell needswork]

Comment 28

3 months ago
34 failures in 814 pushes (0.042 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 21
* mozilla-inbound: 13

Platform breakdown:
* linux32: 18
* linux64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 29

3 months ago
23 failures in 175 pushes (0.131 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 11
* autoland: 10
* mozilla-central: 2

Platform breakdown:
* linux64: 12
* linux32: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-22&endday=2017-06-22&tree=all
wow, this really increased, I see 100 instance in the last week. primarily on linux opt.

here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=109491976&lineNumber=2095

and related data from the log:
task 2017-06-23T07:36:59.964425Z] 07:36:59     INFO - TEST-START | js/xpconnect/tests/chrome/test_bug484459.xul
[task 2017-06-23T07:37:00.013239Z] 07:37:00     INFO - TEST-INFO | started process screentopng
[task 2017-06-23T07:37:00.457637Z] 07:37:00     INFO - TEST-INFO | screentopng: exit 0
[task 2017-06-23T07:37:00.460158Z] 07:37:00     INFO - Buffered messages logged at 07:37:00
[task 2017-06-23T07:37:00.460238Z] 07:37:00     INFO - TEST-PASS | js/xpconnect/tests/chrome/test_bug484459.xul | location.href is set properly 
[task 2017-06-23T07:37:00.460310Z] 07:37:00     INFO - TEST-PASS | js/xpconnect/tests/chrome/test_bug484459.xul | contents of w.location are correct 
[task 2017-06-23T07:37:00.461053Z] 07:37:00     INFO - Buffered messages finished
[task 2017-06-23T07:37:00.462062Z] 07:37:00     INFO - TEST-UNEXPECTED-FAIL | js/xpconnect/tests/chrome/test_bug484459.xul | uncaught exception - ReferenceError: x is not defined at @chrome://mochitests/content/chrome/js/xpconnect/tests/chrome/test_bug484459.xul:33:1
[task 2017-06-23T07:37:00.462812Z] 07:37:00     INFO - 
[task 2017-06-23T07:37:00.463504Z] 07:37:00     INFO - simpletestOnerror@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:1652:11
[task 2017-06-23T07:37:00.464252Z] 07:37:00     INFO - OnErrorEventHandlerNonNull*@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:1632:1
[task 2017-06-23T07:37:00.465136Z] 07:37:00     INFO - GECKO(1297) | JavaScript error: chrome://mochitests/content/chrome/js/xpconnect/tests/chrome/test_bug484459.xul, line 33: ReferenceError: x is not defined
[task 2017-06-23T07:37:00.466139Z] 07:37:00     INFO - GECKO(1297) | MEMORY STAT | vsize 799MB | residentFast 252MB | heapAllocated 106MB
[task 2017-06-23T07:37:00.468278Z] 07:37:00     INFO - TEST-OK | js/xpconnect/tests/chrome/test_bug484459.xul | took 62ms


My apologies for not detecting this sustained failure rate a couple days ago.


:overholt- can you help find someone from the xpconnect team to fix this in the next week?
Flags: needinfo?(overholt)
I can take a look. I did a Google search on Bugzilla for "iframe onload race", which turned up bug 823120, which sounds like a similar issue, so I can try cargo culting the fix.
Assignee: nobody → continuation
Flags: needinfo?(overholt)
Thanks, mccr8!
I don't really know anything about what blocks or doesn't during loading, but it looked like maybe there was some kind of race between the iframe src and the onload running, but inserting a busy loop before the test runs "var x = 3" doesn't seem to trigger the issue: the onload runs after the src finishes.

I can't see what other race there might be, unless the sandbox goes away somehow? But again, I don't know how that would happen. I tried inserting a bunch of forceGC and forceCC before we run the onload, but that didn't help.

Do you have any ideas, Boris, as the author of this test from 2009? ;)

The actual patch for bug 484459 added a sandbox_convert method to the Sandbox JSClass, and I don't see anything analogous to that now, so maybe this test isn't useful?
Flags: needinfo?(bzbarsky)
This is quite bizarre.  

The load event for the iframe should certainly fire after the script inside it ran.  We _could_ have a race wherein this happens before the <script> in the outer page runs, but then your failure would be "go is not defined"; that's not what's happening here.

There's no reason the sandbox would go away; it's all rooted by local vars at the point when we do the evalInSandbox call.

We could try to add some diagnostic bits here: add:

  is(w.x, 3, "Unexpected value for x");

right after we set "w".  That will at least tell us whether the problem is that "w.x" is not set correctly or whether it's something about the sandbox bits that's not picking it up properly.

> so maybe this test isn't useful?

Well, it' a basic smoketest for "can run stuff in a sandbox".  The original bug there involved us not handling the "sandbox" arg to "evalInSandbox" properly, whatever the internal reasons were.
Flags: needinfo?(bzbarsky)

Comment 35

3 months ago
26 failures in 166 pushes (0.157 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 14
* autoland: 12

Platform breakdown:
* linux32: 14
* linux64: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-23&endday=2017-06-23&tree=all

Comment 36

3 months ago
93 failures in 892 pushes (0.104 failures/push) were associated with this bug in the last 7 days. 

This is the #17 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 51
* mozilla-inbound: 35
* mozilla-central: 5
* try: 2

Platform breakdown:
* linux64: 52
* linux32: 40
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-19&endday=2017-06-25&tree=all
:mccr8, I know we will be at a work week, but this is a very high failure rate- can you fix this?  I am doing a pass on Wednesday to disable many tests that are high frequency I can disable this then if you would prefer.
Flags: needinfo?(continuation)
Yeah, you should go ahead and disable it on Linux opt or whatever is affected. I was hoping it would be an easy fix, but it isn't clear what is happening. I also was unable to repro locally.
Flags: needinfo?(continuation)
Perhaps worth noting, this test was already skipped on windows and osx, for bug 1131110.

Comment 40

3 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/070644025bdd
Skip test_bug484459.xul on linux-opt for intermittent failures; r=me,test-only
(In reply to Geoff Brown [:gbrown] from comment #39)
> Perhaps worth noting, this test was already skipped on windows and osx, for
> bug 1131110.

Ah, good to know. Maybe I can reproduce it on OSX more easily.
See Also: → bug 1131110

Updated

3 months ago
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 42

3 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/070644025bdd
I tried using sandboxPrototype instead of setting __proto__ in the hope that would help, but it did not.

Comment 44

3 months ago
15 failures in 718 pushes (0.021 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 12
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-06-26&endday=2017-07-02&tree=all
Assignee: continuation → nobody

Comment 45

2 months ago
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-07-03&endday=2017-07-09&tree=all

Updated

2 months ago
Priority: P3 → P5

Comment 46

2 months ago
2 failures in 720 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* linux64-ccov: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 47

2 months ago
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255284&startday=2017-07-24&endday=2017-07-30&tree=all
You need to log in before you can comment on or make changes to this bug.